Subject: Re: Cross compilation question

From: Dan Kegel <[email-masked]>
Date: Tue, 09 Sep 2003 09:28:42 -0700

Toni Van Remortel wrote:
> Hi all,
>
> I've installed ELDK as compiler-set, and it is successfully used to
> compile linuxppc_2_4_devel, rtai and FLTK for my EP405 board.
>
> Now I have a FLTK-based program which I like to cross-compile, but I get
> stuck to one error I cannot solve right now:
>
> ppc_4xx-g++ -static -g test.cxx -I/ppc/fltk-1.1.4rc2 -o test
> -L/opt/eldk/ppc_4xx/lib -L/opt/eldk/ppc_4xx/usr/lib
> -L/ppc/fltk-1.1.4rc2/lib -L/opt/PPC_X/usr/X11R6/lib -L/opt/PPC_X/usr/lib
> -lfltk -lXext -lX11
> /opt/eldk/usr/ppc-linux/bin/ld: cannot find -lstdc++
> collect2: ld returned 1 exit status
>
> As far as I know, is libstdc++.so in /opt/eldk/ppc_4xx/usr/lib, which is
> added as -L.

Do you have a libstdc++.a?  You'd need that to satisfy the -static.
- Dan

--
Dan Kegel
http://www.kegel.com
http://counter.li.org/cgi-bin/runscript/display-person.cgi?user=78045

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/